import {NgModule} from '@angular/core';
import {AccessRoutingModule} from '@app/access/access-routing.module';
import {AccessState} from '@app/access/access.state';
import {AccessService} from '@app/access/services/access.service';
import {AccessViewComponent} from '@app/access/views/access-view/access-view.component';
import {SharedModule} from '@app/shared/shared.module';
import {TranslateModule} from '@ngx-translate/core';
import {NgxsModule} from '@ngxs/store';

const components = [];

const views = [
  AccessViewComponent,
];

@NgModule({
  declarations: [
    ...components,
    ...views,
  ],
  imports: [
    SharedModule,
    AccessRoutingModule,
    TranslateModule.forChild({}),
    NgxsModule.forFeature([
      AccessState,
    ]),
  ],
  exports: [
    ...views,
  ],
  providers: [
    AccessService,
  ],
})
export class AccessModule {
}
