import {Component, OnInit} from '@angular/core';
import {GetAllDip, ViewDIP} from '@app/access/access.action';
import {Select, Store} from '@ngxs/store';
import {Observable} from 'rxjs';


@Component({
  selector: 'dlcm-access-view',
  templateUrl: './access-view.component.html',
  styleUrls: ['./access-view.component.scss'],
})
export class AccessViewComponent implements OnInit {
  // @Select(state => state.animals) animals$: Observable<any>;
  // @Select(state => state.dips) dips$: Observable<any>;

  @Select((state) => state.access.isLoading) $isLoading: Observable<string>;
  @Select((state) => state.access.dips) $dips: Observable<string>;

  constructor(private store: Store) {
  }

  ngOnInit() {
    this.store.dispatch(new GetAllDip());
  }

  viewDIP(name: string) {
    this.store.dispatch(new ViewDIP(name));
  }

  testApiAccess() {
    // this.service.accessDipGet().subscribe((res: any) => {
    //   console.log('res', res);
    // });
  }

  testApiDeposit() {
    // this.service.preingestDepositsGet().subscribe((res: any) => {
    //   console.log('res', res);
    // });
  }
}
