import {NgModule} from '@angular/core';
import {DepositRoutingModule} from '@app/deposit/deposit-routing.module';
import {DepositState} from '@app/deposit/deposit.state';
import {DepositService} from '@app/deposit/services/deposit.service';
import {DepositViewComponent} from '@app/deposit/views/deposit-view/deposit-view.component';
import {SharedModule} from '@app/shared/shared.module';
import {TranslateModule} from '@ngx-translate/core';
import {NgxsModule} from '@ngxs/store';

const components = [];

const views = [
  DepositViewComponent,
];

@NgModule({
  declarations: [
    ...components,
    ...views,
  ],
  imports: [
    SharedModule,
    DepositRoutingModule,
    TranslateModule.forChild({}),
    NgxsModule.forFeature([
      DepositState,
    ]),
  ],
  exports: [
    ...views,
  ],
  providers: [
    DepositService,
  ],
})
export class DepositModule {
}
