import {Component, OnInit} from '@angular/core';
import {AddDIP, GetAll} from '@app/deposit/deposit.action';
import {DepositState, DepositStateModel} from '@app/deposit/deposit.state';
import {faCoffee} from '@fortawesome/free-solid-svg-icons';
import {Select, Store} from '@ngxs/store';
import {Observable} from 'rxjs';

@Component({
  selector: 'dlcm-deposit-view',
  templateUrl: './deposit-view.component.html',
  styleUrls: ['./deposit-view.component.scss'],
})
export class DepositViewComponent implements OnInit {
  faCoffee = faCoffee;

  // @Select((state: DepositStateModel) => state.dips) dips$: Observable<any>;
  // @Select(DepositState.dip) dip$: Observable<string>;
  @Select(DepositState) depositState$: Observable<DepositStateModel>;

  // Uses the pandas memoized selector to only return pandas
  // @Select(DepositState.dip) dipPanda$: Observable<string>;

  @Select((state) => state.deposit.dip) dip3$: Observable<string>;

  @Select() deposit$: Observable<DepositStateModel>;

  dip4$: Observable<string>;

  constructor(private store: Store) {
    this.dip4$ = this.store.select(state => state.deposit.dip);
  }

  ngOnInit() {
  }

  getAll() {
    this.store.dispatch(new GetAll());
  }

  addDIP() {
    this.store.dispatch(new AddDIP('My new dip'));
  }
}
