/**
 * DLCM-Solution
 * DLCM application wrapping all modules, All-In-One
 *
 * OpenAPI spec version: 1.3.0-SNAPSHOT
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import { AipInfoEmbargoModel } from './aip-info-embargo.model';
import { ChangeInfoModel } from './change-info.model';


export interface DepositsModel { 
    /**
     * The access level of the deposit
     */
    access?: string;
    /**
     * The _links_ list of the _deposits_ resource
     */
    _links?: any;
    /**
     * The preservation policy ID of the deposit
     */
    preservationPolicyId?: string;
    /**
     * Number of deposit data files
     */
    dataFileNumber?: number;
    /**
     * The description of the deposit
     */
    description?: string;
    /**
     * The title of the deposit
     */
    title?: string;
    /**
     * The generated SIP DLCM ID of the deposit
     */
    sipId?: string;
    /**
     * The end of the deposit collection
     */
    collectionEnd?: string;
    /**
     * The organizational unit ID of the deposit
     */
    organizationalUnitId?: string;
    /**
     * If the deposit has an embargo
     */
    hasEmbargo?: boolean;
    /**
     * The submission policy ID of the deposit
     */
    submissionPolicyId?: string;
    /**
     * The license ID of the deposit
     */
    licenseId?: string;
    /**
     * The publication date of the deposit
     */
    publicationDate?: string;
    /**
     * The creation info of the _deposits_ resource (see <<change-info>>)
     */
    creation?: ChangeInfoModel;
    /**
     * The submission agreement of the deposit
     */
    agreement?: boolean;
    /**
     * If all data file are ready
     */
    allDataFileReady?: boolean;
    /**
     * The language ID of the deposit
     */
    languageId?: string;
    /**
     * The _deposits_ resource identifier [https://en.wikipedia.org/wiki/Universally_unique_identifier[UUID]]
     */
    resId?: string;
    /**
     * The message related to the status
     */
    statusMessage?: string;
    /**
     * The submission agreement of the deposit
     */
    submissionAgreementId?: string;
    /**
     * Size of AIP collection
     */
    collectionSize?: number;
    /**
     * The last updated info of the _deposits_ resource (see <<change-info>>)
     */
    lastUpdate?: ChangeInfoModel;
    /**
     * The preparation ID of the deposit
     */
    preparationId?: string;
    embargo?: AipInfoEmbargoModel;
    /**
     * The beginning of the deposit collection
     */
    collectionBegin?: string;
    /**
     * The status of the deposit
     */
    status?: string;
    /**
     * The Digital Object Identifier (DOI) of the deposit
     */
    doi?: string;
}

