import {NgModule} from '@angular/core';
import {RouterModule, Routes} from '@angular/router';
import {HomeComponent} from '@app/components/home/home.component';
import {LoginComponent} from '@app/components/login/login.component';
import {PageNotFoundComponent} from '@app/components/page-not-found/page-not-found.component';

export enum RoutesEnum {
  home = 'home',
  index = 'index',
  login = 'login',
  access = 'access',
  deposit = 'deposit',
  organizationUnit = 'oragnization-unit',
}

const routes: Routes = [
  {
    path: RoutesEnum.access,
    loadChildren: '../access/access.module#AccessModule',
  },
  {
    path: RoutesEnum.deposit,
    loadChildren: '../deposit/deposit.module#DepositModule',
  },
  {
    path: RoutesEnum.login,
    component: LoginComponent,
  },
  {
    path: '',
    component: HomeComponent,
  },
  {
    path: RoutesEnum.index,
    redirectTo: '/',
    pathMatch: 'full',
  },
  {
    path: RoutesEnum.home,
    redirectTo: '/',
    pathMatch: 'full',
  },
  {
    path: '**',
    component: PageNotFoundComponent,
  },
];

@NgModule({
  imports: [RouterModule.forRoot(routes)],
  exports: [RouterModule],
})
export class AppRoutingModule {
}
