import {HttpErrorResponse} from '@angular/common/http';
import {ErrorHandler, Injectable, Injector} from '@angular/core';

@Injectable()
export class ErrorsHandlerService implements ErrorHandler {

  constructor(private injector: Injector) {
  }

  handleError(error: Error | HttpErrorResponse) {
    // const notificationService = this.injector.get(NotificationService);

    if (error instanceof HttpErrorResponse) {
      // Server or connection error happened
      if (!navigator.onLine) {
        // Handle offline error
        // return notificationService.notify('No Internet Connection');
        console.error('Error: ', 'No Internet Connection');
      } else {
        // Handle Http Error (error.status === 403, 404...)
        // return notificationService.notify(`${error.status} - ${error.message}`);
        console.error('Error: ', `${error.status} - ${error.message}`);
      }
    } else {
      // Handle Client Error (Angular Error, ReferenceError...)
    }

    // Do whatever you like with the error (send it to the server?)
    // And log it to the console
    console.error('Error: ', error);
  }
}
