import {CommonModule} from '@angular/common';
import {NgModule} from '@angular/core';
import {MaterialModule} from '@app/module/material.module';
import {ClickEventService} from '@app/shared/services/clickevent.service';
import {FontAwesomeModule} from '@fortawesome/angular-fontawesome';
import {library} from '@fortawesome/fontawesome-svg-core';
import {fas} from '@fortawesome/free-solid-svg-icons';
import {TranslateModule} from '@ngx-translate/core';

const modules = [
  CommonModule,
  MaterialModule,
  FontAwesomeModule,
];

@NgModule({
  declarations: [],
  imports: [
    ...modules,
  ],
  exports: [
    ...modules,
    TranslateModule,
  ],
  providers: [
    ClickEventService,
  ],
})
export class SharedModule {
}

// Fontawesome library
library.add(fas);
